Safari < 3.1.1 Multiple Vulnerabilities

This script is Copyright (C) 2008-2016 Tenable Network Security, Inc.


Synopsis :

The remote host contains a web browser that is affected by several
issues.

Description :

The version of Safari installed on the remote host reportedly is
affected by several issues :

- A malicious website can spoof window titles and URL bars
(CVE-2007-2398).

- A memory corruption issue in the file downloading
capability could lead to a crash or arbitrary code
execution (CVE-2008-1024).

- A cross-site scripting vulnerability exists in WebKit's
handling of URLs that contain a colon character in
the host name (CVE-2008-1025).

- A heap-based buffer overflow exists in WebKit's handling
of JavaScript regular expressions (CVE-2008-1026).

See also :

http://support.apple.com/kb/HT1467
http://lists.apple.com/archives/security-announce/2008/Apr/msg00001.html

Solution :

Upgrade to Safari 3.1.1 or later.

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 6.9
(CVSS2#E:U/RL:OF/RC:C)
Public Exploit Available : false

Family: Windows

Nessus Plugin ID: 31993 ()

Bugtraq ID: 24484
28813
28814
28815

CVE ID: CVE-2007-2398
CVE-2008-1024
CVE-2008-1025
CVE-2008-1026

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now